package com.yonge.cooleshow.common.constant;


import com.yonge.toolset.base.constant.BaseAppConstant;

/**
 * 启动常量
 *
 */
public interface LauncherConstant {
	/**
	 * nacos local 地址
	 */
	String NACOS_LOCAL_ADDR = "47.114.1.200:8848";
	/**
	 * nacos dev 地址
	 */
	String NACOS_DEV_ADDR = "47.114.1.200:8848";
	/**
	 * nacos test 地址
	 */
	String NACOS_TEST_ADDR = "";
	/**
	 * nacos prod 地址
	 */
	String NACOS_PROD_ADDR = "";

	/**
	 * nacos local 命名空间
	 */
	String NACOS_LOCAL_NAMESPACE = "a71fb65c-d5d9-42c3-bbde-3586d19178f0";

	/**
	 * nacos dev 命名空间
	 */
	String NACOS_DEV_NAMESPACE = "6f8374a9-598f-4889-bb17-476070ffb8de";
	/**
	 * nacos test 命名空间
	 */
	String NACOS_TEST_NAMESPACE = "";
	/**
	 * nacos prod 命名空间
	 */
	String NACOS_PROD_NAMESPACE = "";

	/**
	 * 动态获取nacos地址
	 *
	 * @param profile 环境变量
	 * @return addr
	 */
	static String nacosAddr(String profile) {
		switch (profile) {
			case (BaseAppConstant.PROD_CODE):
				return NACOS_PROD_ADDR;
			case (BaseAppConstant.TEST_CODE):
				return NACOS_TEST_ADDR;
			case (BaseAppConstant.LOCAL_CODE):
				return NACOS_LOCAL_ADDR;
			default:
				return NACOS_DEV_ADDR;
		}
	}
	/**
	 * 动态获取nacos命名空间
	 *
	 * @param profile 环境变量
	 * @return addr
	 */
	static String nacosNamespace(String profile) {
		switch (profile) {
			case (BaseAppConstant.PROD_CODE):
				return NACOS_PROD_NAMESPACE;
			case (BaseAppConstant.TEST_CODE):
				return NACOS_TEST_NAMESPACE;
			case (BaseAppConstant.LOCAL_CODE):
				return NACOS_LOCAL_NAMESPACE;
			default:
				return NACOS_DEV_NAMESPACE;
		}
	}
}
